# Uses of Interface
org.eclipse.emf.compare.utils.IEqualityHelper

Packages that use IEqualityHelper
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.diff
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.spec
org.eclipse.emf.compare.internal.utils
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.utils

## Uses of IEqualityHelper in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return IEqualityHelper
Modifier and Type
Method
Description
`IEqualityHelper`
Comparison.`getEqualityHelper()`

## Uses of IEqualityHelper in org.eclipse.emf.compare.diff

Methods in org.eclipse.emf.compare.diff with parameters of type IEqualityHelper
Modifier and Type
Method
Description
`protected boolean`
DefaultDiffEngine.`matchingContainment(IEqualityHelper equalityHelper, EObject o1, EObject o2)`
Checks whether the two given EObjects are contained within the same object, under the same reference.

## Uses of IEqualityHelper in org.eclipse.emf.compare.impl

Methods in org.eclipse.emf.compare.impl that return IEqualityHelper
Modifier and Type
Method
Description
`IEqualityHelper`
ComparisonImpl.`getEqualityHelper()`

## Uses of IEqualityHelper in org.eclipse.emf.compare.internal.spec

Methods in org.eclipse.emf.compare.internal.spec that return IEqualityHelper
Modifier and Type
Method
Description
`IEqualityHelper`
ComparisonSpec.`getEqualityHelper()`

## Uses of IEqualityHelper in org.eclipse.emf.compare.internal.utils

Methods in org.eclipse.emf.compare.internal.utils with parameters of type IEqualityHelper
Modifier and Type
Method
Description
`static <E> Set<E>`
DiffUtil.`computeIgnoredElements(Comparison comparison, IEqualityHelper equalityHelper, List<E> candidates, Diff diff, boolean rightToLeft)`
When computing the insertion index of an element in a list, we need to ignore all elements present in that list that feature unresolved Diffs on the same feature.

## Uses of IEqualityHelper in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match that return IEqualityHelper
Modifier and Type
Method
Description
`IEqualityHelper`
DefaultEqualityHelperFactory.`createEqualityHelper()`
Returns a new `IEqualityHelper`.
`IEqualityHelper`
IEqualityHelperFactory.`createEqualityHelper()`
Returns a new `IEqualityHelper`.

## Uses of IEqualityHelper in org.eclipse.emf.compare.match.eobject

Methods in org.eclipse.emf.compare.match.eobject with parameters of type IEqualityHelper
Modifier and Type
Method
Description
`EqualityHelperExtensionProvider.SpecificMatch`
EqualityHelperExtensionProvider.`matchingEObjects(EObject object1, EObject object2, IEqualityHelper equalityHelper)`
Test whether two objects match.

## Uses of IEqualityHelper in org.eclipse.emf.compare.utils

Classes in org.eclipse.emf.compare.utils that implement IEqualityHelper
Modifier and Type
Class
Description
`class`
`EqualityHelper`
EMF Compare needs its own rules for "equality", which are based on similarity instead of strict equality.
Methods in org.eclipse.emf.compare.utils with parameters of type IEqualityHelper
Modifier and Type
Method
Description
`static Predicate<Diff>`
EMFCompareJavaPredicates.`valueMatches(IEqualityHelper helper, Object value)`
Accept only diffs whose value matches the given value.
`static com.google.common.base.Predicate<Diff>`
EMFComparePredicates.`valueMatches(IEqualityHelper helper, Object value)`
Deprecated.
Accept only diffs whose value matches the given value.